Bug 111415 - gphoto gives an error with certain camaras which used to work
gphoto gives an error with certain camaras which used to work
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gphoto2 (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-03 07:29 EST by Hans de Goede
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-23 16:27:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2003-12-03 07:29:26 EST
gphoto-2.1.2-1 gives the following error with my usb Trust 350FS camera:
An error occurred in the io-library ('Unsupported operation'): No
error description available.
*** Error (-6: 'Unsupported operation') ***

I've done some digging trough the source, but the problem is not in
the camera driver so this probably also causes problems with other
cameras!

Upgrading to 2.1.3 fixes this (checked the source again, no changes to
the camera driver so it must be somewhere in the gphoto2 "core").

I just used the old spec file, no changes needed, works like a charm!
Comment 1 Tim Waugh 2003-12-03 08:30:54 EST
Could you please verify that this package fixes the problem?:

ftp://people.redhat.com/twaugh/tmp/gphoto2-2.1.3-1.i386.rpm

Thanks. (Since you installed a package you built locally you'll need
to use rpm -Uvh --force to install this same-version one.)
Comment 2 Hans de Goede 2003-12-03 14:10:36 EST
Works as expected.
Comment 3 Wendigo 2003-12-23 15:09:45 EST
The update made dissappear Canon Powershot S50 from the list of
supported cameras. Now I get Canon Powershot unknow 1,2,3, 4
Do not apply the patch if you have a Canon S50

Note You need to log in before you can comment on or make changes to this bug.